@mixin app-agency-site-request-queue-theme($theme) {
    $primary: map-get($theme, primary);
    $warn: map-get($theme, warn);
    $accent: map-get($theme, accent);
  
    app-agency-site-request-queue {
      width: 100%;
      padding: 5px;
      overflow-x: hidden;
    }
  
    .agency-site-request-queue {
      margin-top: 25px !important;
      display: flex;
      flex-direction: column;
      padding: 5px;
      background-color: mat-color($primary, 50);
  
      .rr-main-card {
        display: flex;
        flex-direction: column;
        padding: 0px;
        background-color: mat-color($primary, 50);
  
        .mat-card-header {
          width: 100%;
  
          .top-header-filter {
            display: flex;
            padding: 0px 5px;
            margin: 0px 5px;
            font-size: 0.9em;
            line-height: 40px;
  
            .pe-left-text {
              display: flex;
              flex: auto;
              margin-right: 10px !important;
  
              .mat-form-field {
                flex: auto;
              }
            }
  
            .right-text {
              display: flex;
              flex: auto;
              margin-right: 15px;
  
              .mat-form-field {
                flex: auto;
              }
            }
  
            .hp-left-text{
              display: flex;
              height: 50px;
              margin-right: 10px !important;
            }
  
            button {
              margin: 4px;
              // margin-left: 15px;
              height: 35px;
              width: 45px;
            }
          }
  
          .second-header-filter {
            display: flex;
            background-color: white;
            border: 2px solid mat-color($primary, 100);
            border-radius: 5px;
            padding: 10px;
            margin-bottom: 10px;
            font-size: 0.9em;
  
            .stats {
              cursor: pointer;
              display: flex;
              flex: auto;
              justify-content: center;
              
            }
            // .stats:first-child {
            //   justify-content: flex-start;
            // }
  
            // span:hover {
            //   color: mat-color($accent);
            // }
          }
        }
  
        .mat-card-content {
          .mat-tab-label {
            background: #BDBDBD;
            border-radius: 10px 10px 0px 0px;
            margin-right: 10px;
            height: 30px !important;
            padding: 0;
            font-size: 1.1em;
          }
  
          .mat-tab-label-active {
            opacity: 1 !important;
            background-color: mat-color($primary);
            color: white;
          }
  
          .example-small-box {
            display: flex;
            align-items: center;
            justify-content: center;
            background: white;
  
            .table-filters-header {
              width: 100%;
              background-color: white;
              border: 1px solid #eaf0fb;
  
              .table-top-icons {
  
                mat-icon {
                  padding: 5px;
                }
  
                mat-icon:hover {
                  cursor: pointer;
                  color: mat-color($warn);
                }
              }
            }
  
            .example-container {
              width: 100%;
              margin-right: 10px;
              margin-left: 10px;
            }
          }
        }
      }
  
    }
  }
  